Bug 1420914 - AUDIT_VERSION_* is deprecated
Summary: AUDIT_VERSION_* is deprecated
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: 26
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 21:14 UTC by Richard Guy Briggs
Modified: 2018-05-29 11:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:33:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Guy Briggs 2017-02-09 21:14:42 UTC
Description of problem:
AUDIT_VERSION_* is deprecated in favour of AUDIT_FEATURE_BITMAP_*

Linux Audit kernel feature availability is now indicated with the AUDIT_FEATURE_BITMAP_*.  Backward compatibility will need to be kept until it is decided to no longer support old kernels.  Currently the only feature availability using this deprecated method is AUDIT_VERSION_BACKLOG_WAIT_TIME which is also indicated by AUDIT_FEATURE_BITMAP_BACKLOG_WAIT_TIME


Version-Release number of selected component (if applicable):
RHEL7: kernel-3.10.0-246.el7 (one commit apart)
Upstream: 3.13 to 3.18


Additional info:

Comment 1 Steve Grubb 2017-02-09 23:43:21 UTC
This isn't a problem in RHEL 7 because BACKLOG_WAIT_TIME is not backported to it. So, all test fail as they should.

Comment 2 Richard Guy Briggs 2017-02-10 00:00:50 UTC
fedora 21's 3.17 kernel would have this, but f22 moved on to 4.0
Perhaps this should be filed instead on:
https://github.com/linux-audit/audit-userspace

Comment 3 Steve Grubb 2017-02-10 00:13:24 UTC
Its my belief that this is already fixed upstream.

Comment 4 Richard Guy Briggs 2017-02-10 00:54:21 UTC
(In reply to Steve Grubb from comment #3)
> Its my belief that this is already fixed upstream.

As of audit 2.7.1+, if AUDIT_VERSION_* goes away, so does the backlog_wait_time option in userspace given the current compiler directives even if the backlog_wait_time feature is still present in the kernel, indicated by AUDIT_FEATURE_BITMAP_BACKLOG_WAIT_TIME.

It was deprecated by:
https://github.com/linux-audit/audit-kernel/commit/0288d7183c41c0192d2963d44590f346f4aee917

Comment 5 Fedora End Of Life 2017-02-28 11:14:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Fedora End Of Life 2018-05-03 09:04:31 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 11:33:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.